function [A,B] = f2ab(Y)
% function [A,B] = f2ab(Y)
% rewrite the complex fourier coeficients Y in 
% terms of a and b being the cos and sin contribution
% as in  y=Sum[Aj*cos(j*w) +Bj*sin(j*w)] and Y=fft(y)

% get the A_j and B_j from the fourier transform
% only consider the first nharm harmonics
n=length(Y);
j=1:floor(n/2);
% The amplitudes are the 2*fft(y)/length(y)
% real part is cos, imaginairy part is -sin
AB = conj(2.*Y(j)./n);
% except for the first 
AB(1) = AB(1)/2;
A=real(AB);
B=imag(AB);

